#include "desktopwindow.h"
#include <QtPlatformHeaders/QXcbWindowFunctions>
#include <KWayland/Client/connection_thread.h>
#include <KWayland/Client/registry.h>
#include <KWayland/Client/surface.h>

DesktopWindow::DesktopWindow(QWindow *parent)
    : PlatformWindow(parent, false, KWayland::Client::PlasmaShellSurface::Role::Desktop)
{
    if (!m_isWayland) {
        QXcbWindowFunctions::setWmWindowType(this, QXcbWindowFunctions::Desktop);
    }
}
